#include "TreeEntity.h"

TreeEntity::TreeEntity() 
{
	id = 0;
	name = "Unknown";
	sex = -1;

	pos_x= 0.0f;
	pos_y = 0.0f; 

	extent = 0.0f;

	numchildren = 0;
	order = 0;

	cart_x = 0.0f;
	cart_y = 0.0f;

	innerRadius = 0.0f;
	outerRadius = 0.0f;
	angle = 0.0f;
	size = 0.01f;
	maxChildRadius = 0.0f;
	estimate = 0.0f;
	childCount = 0;

	m_Image = NULL;
	m_ImagePath = "";
	m_ImagePresent = false;
	m_ImageCreated = false;
}

void TreeEntity::createImage()
{
	if( m_Image )
	{
		delete m_Image;
		m_Image = NULL;
	}
	m_Image = new VImage();
}

TreeEntity::~TreeEntity() 
{
	if( m_Image )
	{
		delete m_Image;
		m_Image = NULL;
	}
	
}